%h2= t('.history')
%table
  %thead
    %tr
      %th.-text--left= t('.user')
      %th.-text--left= t('.date')
      %th.-text--left= t('.event')
  %tbody
    - entity.versions.each do |version|
      %tr.-text--small.-clickable{ onclick: "toggleDetails(#{version.id})" }
        %td= version_committer version
        %td= time_ago_in_words version.created_at
        %td= version.event
      %tr.-hidden{ id: "details_#{version.id}" }
        %td._version_diff{ colspan: 3 }
          = version_diff(version)

:javascript
  function toggleDetails(id) {
    const element = document.getElementById(`details_${id}`)
    element.classList.contains('-hidden') ? element.classList.remove('-hidden') : element.classList.add('-hidden')
  }
